Bug 480267 - 2.6.28 fingerprint reader broken, gdm failures
2.6.28 fingerprint reader broken, gdm failures
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-15 22:29 EST by Warren Togami
Modified: 2009-12-18 02:36 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:36:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2009-01-15 22:29:09 EST
kernel-2.6.28-3.fc10.x86_64
kernel-2.6.28-4.fc10.x86_64
gdm-2.24.0-12.fc10.x86_64

The fingerprint reader on my Thinkpad T60 fails to login after upgrading from the 2.6.27.9 kernel.  gdm then behaves strangely and most often gets stuck completely, making even password login difficult.  Only after it has failed a few times (loudly like below from dmesg) it seems to give up and logins are possible, usually after restarting gdm a few times.

input: Virtual ThinkFinger Keyboard as /devices/virtual/input/input9
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3120 (gdm-session-wor) did not claim interface 0 before use
usb 5-2: usbfs: process 3119 (gdm-session-wor) did not claim interface 0 before use
Comment 1 Pete Zaitcev 2009-01-15 23:09:16 EST
This is _really_ strange, because the claim rule was enforced for years.
Certainly 2.6.27.5 should've been the same as 2.6.28.

I'm wondering if HID exclusion got lost somehow and thus devio cannot claim.
Comment 2 Pete Zaitcev 2009-01-16 19:32:59 EST
I should've said that I'm not throwing this over the fence to gdm because
it looks like something was changed in kernel. It's only a mystery what was.
Warren, can you catch what gdm-session-worker is doing with strace -t -p XXXX?
Comment 3 Warren Togami 2009-01-29 17:25:23 EST
I can't, because I cannot login to any terminal even with a password while pam is stuck waiting for usbfs.
Comment 4 Chuck Ebbert 2009-01-30 02:03:33 EST
Pls try kernel-2.6.29-0.6.rc3.fc10
Comment 5 Bug Zapper 2009-11-18 05:45:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 02:36:49 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.